Events
List contact events
GET
Requires the event:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
contact*stringname?stringMatch
^[a-zA-Z0-9][a-zA-Z0-9 ._-]*$Length
length <= 100contactId?stringFormat
uuidlimit?integerRange
1 <= value <= 500Default
50offset?integerRange
0 <= valueDefault
0page?integerRange
1 <= valuesortBy?stringsortOrder?stringValue in
"ASC""DESC"A page of results.
application/json- response
data*array<>total*integerMatches across all pages.
limit*integeroffset*integerThe offset actually applied, also when you paginated with page.
curl -X GET 'https://api.mailcrate.io/public/event?contact=string' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "data": [ { "id": "string", "name": "string", "contactId": "string", "properties": {}, "occurredAt": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z" } ], "total": 0, "limit": 0, "offset": 0}